package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.dynamodb.domain.atrrib.UserNicknameRegistryAttrib;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class UserNicknameRegistryDoc extends DynamoDBDocBase {
    private String userNicknameRegistryAttrib;

    public String getAttribFieldName() {
        return "UserNicknameRegistryAttrib";
    }

    @DynamoDbAttribute("UserNicknameRegistryAttrib")
    @JsonProperty("UserNicknameRegistryAttrib")
    public String getAttribValue() {
        return userNicknameRegistryAttrib;
    }

    public void setAttribValue(String value) {
        this.userNicknameRegistryAttrib = value;
    }
}

